Subject: bug#14799: Request for building PDF manuals in A4 format

From: Robert Pluim <[email-masked]>
Date: Tue, 01 Oct 2019 14:30:54 +0200

>>>>> On Tue, 01 Oct 2019 14:22:53 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Angelo Graziosi <[email-masked]> writes:
    >> @@ -1,5 +1,7 @@
    >> \input texinfo  @c -*- coding: utf-8 -*-
    >> 
    >> +@afourpaper
    >> +@setchapternewpage odd
    >> @setfilename ../../info/emacs
    >> @settitle GNU Emacs Manual
    >> 

    Lars> Thanks; that was a simple enough patch.  :-)

    Lars> But I don't think it's something we can apply in general -- the
    Lars> officially printed Emacs manuals are on US paper sizes, and I don't
    Lars> think that's going to change.

    Lars> I had a look at somehow making a new Makefile target for A4 pages, but
    Lars> it doesn't seem like texi2pdf takes paper size as a parameter either, so
    Lars> all the texi files would need to have

    Lars> @ifset A4
    Lars> ...
    Lars> @endif

    Lars> or something, and then a Makefile target could set that variable.  But
    Lars> that seems like a lot of verbiage to add to the .texi files, so I don't
    Lars> know...

Donʼt they all include emacs/docstyle.texi?

Robert